# JOIN

### Description

JOIN combines a list of values into one new value by appending them. Optionally, you can also specify a string to put in between values. For the more flexible version of `JOIN`, see [`JOIN_OF_ANY`](/rule-language/operators/unknown-operators/join_of_any.md).

### Example: Joining a list

```
p is Person
JOIN((p.first_name, p.last_name), " ")
```

It is common practice to have two separate[ information fields](/guides/glossary/information.md) for a name - one for the first and one for the last name. If, once these data are collected, you want to treat the full name as one combined piece of information, you could use `JOIN` in a [calculated information](broken://pages/-ML71u0p4UUNJ6GTeFl0) like in the example above, which would return a full name, e.g. "Pablo Picasso".

### Example: get\_properties and JOIN

Together with [`get_properties`](/rule-language/operators/special-operators/get-properties-from-instances.md) this can be used to get a combined name of all instances of some ontology or role. This example could be used in an [assignment rule](/rule-language/operators/special-operators/assign.md):

```
JOIN(
  get_properties(instances(Person), full_name), 
  ", "
)
```

This could return a string of several full names separated by a comma, e.g. "Isaac Newton, Albert Einstein, Stephen Hawking".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/string-operators/join.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
